import 'impl/footprint_repository_impl.dart';

///
/// FootprintRepository
/// 足迹/点赞相关的网络库
///
abstract class FootprintRepository {
  static get() {
    return FootprintRepositoryImpl();
  }

  ///
  /// 删除用户足迹
  ///
  Future<dynamic> deleteUserFootprint();

  ///
  /// 猜你喜欢
  /// [page]            第几页
  /// [pagesize]        每页显示大小
  ///
  Future<dynamic> getLikeList();
}
