import 'package:base_repository/base_repository.dart';
import 'package:xiaoxiong_repository/entity/config_entity.dart';

import '../config_repository.dart';

class ConfigRepositoryImpl extends ConfigRepository {
  @override
  Future<DSResponseObject<ConfigEntity>> getConfig() async {
    dynamic result = await DSDioUtil.getInstance().get('/config.getConfig');
    return DSResponseObject<ConfigEntity>.fromJson(
        result, ConfigEntity.fromJson);
  }
}
